Subject: [Sipping] indicating SMS capability in REGISTER

From: "Jeroen van Bemmel" <[email-masked]>
Date: Wed, 22 Feb 2006 12:06:10 +0100

I am looking for best practice guidance on the following: suppose I have a PDA that supports circuit switched calls as well. In my SIP softphone I'd like to indicate the device's capability to be called on CS, and also to receive SMS.

My initial thought was as follows:
REGISTER ...
Contact: sip:ip:host
Contact: tel:+1-201-555-0123
Contact: sms:+1-201-555-0123

However, "sms" is not an official URI scheme. RFC4355 (http://www.ietf.org/rfc/rfc4355.txt) defines "sms" as an enum service, using the "tel" URI scheme. My question is: how would one indicate the SMS capability in this case? (for SIP URIs, I imagine one would use RFC3840 capabilities)

Related question for a clickable link in a webpage: How would one distinguish between "send an SMS to this number" and "call this number"?

Regards,

Jeroen van Bemmel

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP